<CFAPPLICATION NAME="CFShopkart41" 
CLIENTMANAGEMENT="yes" 
CLIENTSTORAGE="cookie"
SESSIONMANAGEMENT="yes"
SessionTimeOut ="#CreateTimeSpan(0,0,30,0)#"
SetClientCookies="Yes">

<!---Get the datasource--->
<cfinclude template = "Datasource.cfm">

<cflock Scope="Application" Type="ReadOnly" Timeout="10">
<cfset Request.DSN = #application.dsn#>
</cflock>

<cfinclude template = "queries/qryCompanyInfo.cfm">

<cfoutput query = "qryCompanyInfo">

<!---Setup temporary varialbes that will be accessed throughout the app--->
<cfset CartVar.CatalogURL = "#HomeURL#">
<cfset oldlocale = SetLocale("#Location#")>
<cfset CartVar.UseEuro = "#EnableEuro#">
<cfset CartVar.SecureURL = '#SecureURL#'>
<cfset CartVar.MaxRecords = '#MaxRecords#'>
<cfset CartVar.PhotoPath = '#PhotoPath#'>
<cfset CartVar.PhotoDirectory = '#replace(PhotoDirectory, "\\", "\", "ALL")#'>
<cfset CartVar.CatalogPath = '#replace(CatalogPath, "\\", "\", "ALL")#'>
<cfset CartVar.CategoryPath = '#CartVar.CatalogPath#Categories\'>

<cfset CartVar.HomeURL = '#HomeURL#'>
<cfset CartVar.RowHighlight = '#RowHighlight#'>
<cfset CartVar.CartThumbnails = '#CartThumbNails#'>

</cfoutput>

<!--- Setup the cart variables if they do not already exist.--->

<cfif NOT isdefined('session.CrtProductName')>
<cflock scope="SESSION" type="EXCLUSIVE" timeout="10">
	<cfset session.CrtItemID="">
	<cfset session.CrtProductID="">
	<cfset session.CrtProductName = "">
	<cfset session.CrtQuantity = "">
	<cfset session.CrtPrice = "">
	<cfset session.CrtThumbNails = "">
</cflock>
</cfif>

<cflock scope="SESSION" type="EXCLUSIVE" timeout="10">
<cfset cart.CrtProductName = '#session.CrtProductName#'>
</cflock>

<cfif isdefined('session.CrtProductName')>

<cfif cart.CrtProductName IS "">
<cflock scope="SESSION" type="EXCLUSIVE" timeout="10">
	<cfset session.CrtItemID="">
	<cfset session.CrtProductID="">
	<cfset session.CrtProductName = "">
	<cfset session.CrtQuantity = "">
	<cfset session.CrtPrice = "">
	<cfset session.CrtThumbNails = "">
</cflock>

</cfif>
</cfif>